Album: Stray Cat ~Walkabout~
Date: April 1, 2012
Artists:
- Catboss
URLs:
- https://catboss.bandcamp.com/album/stray-cat-walkabout
Cover Artists:
- Clara Loh
Art Tags:
- Cats
Color: '#bc3d3f'
Groups:
- Beyond
Cover Art File Extension: jpg
Commentary: |-
    <i>Catboss:</i> ([Bandcamp about blurb](https://catboss.bandcamp.com/album/stray-cat-walkabout))

    Created entirely over the course of spring break, this 39-minute mini-album is inspired by my travels during winter break of 2011.

    Enjoy!

    <i>Catboss:</i> ([Bandcamp credits blurb](https://catboss.bandcamp.com/album/stray-cat-walkabout), excerpt)

    All music composed and produced by [[artist:catboss|Mai Yishan (Cat Boss)]]

    Special thanks to:<br>
    My travel companions, [[artist:clara-loh]] and Shi Cong<br>
    My fellow [[album:sburb-ost|Sburb OST]] artists and musicians

    Album cover by [[artist:clara-loh]]<br>
    Banner by [[artist:dawn-davis]]

    <i>Catboss:</i> ([Tumblr](https://konec0.tumblr.com/post/20339589497/stray-cat-walkabout-album), excerpt, 4/2/2012)

    This album was made entirely over the course of 9 days, p. much non-stop composing, mixing, and mastering. 8 tracks, total runtime of 39 minutes, which means it isn't quite a full-length album. Hence mini-album!

    But I am honestly really friggin' proud of it. This is easily some of the best material I've ever written, and that's including [[track:guns-blazing|Homestuck]] [[track:vodka-mutiny|contest]] [[track:daywalker-rise-contest|entries]] and [[album:7th-gate-project|the Seventh Gate Project]].

    It's also a very personal project. It was inspired by my travels during winter break and the places I visited, and you don't necessarily have to agree with my (musical) interpretation! I'm essentially experiencing these places from the perspective of a tourist, after all.

    In the coming days I'll probably be posting commentary on the individual tracks, so stay tuned for that if you're interested. Otherwise I'll be tagging them #stray cat so those of you with tag-blocking things know what to do!

    <small>#finally #\*collapses\*</small>
---
Track: Montreal ~Memory~
Duration: 4:32
URLs:
- https://catboss.bandcamp.com/track/montreal-memory
- https://soundcloud.com/catbossstudio/montreal-memory
Commentary: |-
    <i>Catboss:</i> ([SoundCloud description](https://soundcloud.com/catbossstudio/montreal-memory))

    The first track of Stray Cat \~Walkabout\~, my first album, which was inspired by a month-long road trip, and completed over the course of a single week. This song is based on my visit to Montreal; more details about the specific inspiration for this song below.

    <hr>

    "Even if the people forget, a city shall remember..."

    Inspired by Old Montreal. The story is that I went out on a Monday afternoon hoping to go to a few museums but apparently, Monday is Museums-Are-Closed Day or something, because I went to three museums and they were all closed. So I ended up spending three hours just walking around Old Montreal instead.

    It's a rustic place, stone-paved roads and everything. It even has horse carriages! And the buildings are all really old; I love old buildings and architecture. I feel like old buildings have a lot more personality than new ones, like there's a meaning to its design other than cleanliness and efficiency. It makes me feel like every building has a story to tell; what transpired in these halls?

    Perhaps we'll never know.

    <i>Catboss:</i> ([Tumblr](https://konec0.tumblr.com/post/20578498150/stray-cat-commentary-montreal), 4/6/2012)

    \[[Bandcamp embed](https://catboss.bandcamp.com/track/montreal-memory)]

    <i>Even if the people forget, a city shall remember.</i>

    So basically what happened is I went out on a Monday to go to museums and shit, but apparently Monday is museums are closed day? And then I was like "Montreal why do you do this to me" but I got to walk around Old Montreal and it was nice and pretty. I actually really love old buildings, and old architecture. I mean I don't actually know anything about architecture, but it's pretty okay.

    Soooo pretty.

    I also like the idea that every building has a story to tell! These buildings have been around for a long long time - who knows what fascinating things have happened within their walls?

    Anyway! That little walk was - for me - the seed, of sorts, for this album. I remember playing a song in my head as I was walking around. It wasn't this particular song, but that got the idea into my head to make an album containing what is essentially walkabout songs for the places I visited.

    Personally, Montreal is also my favorite song from this album, because I feel that it is the closest to what I consider my usual style. It's a chill song, something of a mix between "real instrument" samples (piano, sustained strings) and electronic things (mostly chiptune-y sounds I whipped up in FM8). It also had me experimenting with something new though, that is to say glitching! (it's glitchy because memory is glitchy get it ohoho i'm so witty) Why did no one tell me that glitching things was so damn fun. Because it is! I use it at least a couple more times on this album, because I love it so much. Expect me to be experimenting more with it in the future!
---
Track: Toronto ~Spirit~
Duration: 4:14
URLs:
- https://catboss.bandcamp.com/track/toronto-spirit
---
Track: Washington DC ~Mind~
Duration: 5:00
URLs:
- https://catboss.bandcamp.com/track/washington-dc-mind
---
Track: New York ~Heart~
Duration: 4:29
URLs:
- https://catboss.bandcamp.com/track/new-york-heart
---
Track: Philadelphia ~Soul~
Duration: 4:15
URLs:
- https://catboss.bandcamp.com/track/philadelphia-soul
---
Track: New York Revisited ~Movement~
Duration: 4:37
URLs:
- https://catboss.bandcamp.com/track/new-york-revisited-movement
---
Track: San Diego ~View~
Duration: 4:41
URLs:
- https://catboss.bandcamp.com/track/san-diego-view
---
Track: Stray Cat ~Walkabout~
Duration: 7:26
URLs:
- https://catboss.bandcamp.com/track/stray-cat-walkabout
#Referenced Tracks:
#- New York ~Heart~
